import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;



public class Input {

    public static void main (String[] args)
    {
	System.out.println("read "+args[0]);
	Problem p = new Problem();
	
	try {
	    p.loadFromFile(args[0]);
	} catch (FileNotFoundException e) {
            e.printStackTrace();
            System.exit(1);
	} catch (IOException e) {
	    e.printStackTrace();
	    System.exit(1);
	}
	System.exit(0);
    }

}